<?php
add_filter( 'woocommerce_product_tabs', 'sb_woo_remove_reviews_tab', 98);
 function sb_woo_remove_reviews_tab($tabs)
 {
 unset($tabs['reviews']);
 return $tabs;
 }
/**
 * Theme Frontend Scripts and Styles
 */

if( !function_exists('iva_frontend_scripts')){  
	function iva_frontend_scripts() {
		
		$iva_protocol = is_ssl() ? 'https' : 'http';

		wp_register_script('iva-easing', THEME_JS .'/jquery.easing.1.3.js', 'jquery', '', 'in_footer');
		wp_register_script('iva-sf-hover', THEME_JS .'/hoverIntent.js', '', '', 'in_footer');
		wp_register_script('iva-sf-menu', THEME_JS .'/superfish.js', '', '', 'in_footer');
		wp_register_script('iva-gmap-api', $iva_protocol.'://maps.google.com/maps/api/js?sensor=false', '', '', 'in_footer');
		wp_register_script('iva-gmap-min', THEME_JS . '/jquery.gmap.js', '', '', 'in_footer');
		wp_register_script('iva-prettyPhoto', THEME_JS .'/jquery.prettyPhoto.js', 'jquery', '', 'in_footer');
		wp_register_script('iva-preloader', THEME_JS .'/jquery.preloadify.min.js', 'jquery', '', 'in_footer');
		wp_register_script('iva-progresscircle', THEME_JS .'/jquery.easy-pie-chart.js', 'jquery', '', 'in_footer');
		wp_register_script('iva-excanvas', THEME_JS .'/excanvas.js', 'jquery', '', 'in_footer');
		wp_register_script('iva-Modernizr', THEME_JS .'/Modernizr.js', '', '', 'in_footer');
		wp_register_script('iva-isotope', THEME_JS .'/isotope.js', '', '', 'in_footer');
		wp_register_script('iva-fitvids', THEME_JS .'/jquery.fitvids.js','jquery', '', 'in_footer');
		wp_register_script('iva-custom', THEME_JS . '/sys_custom.js', 'jquery', '', 'in_footer');
		wp_register_script('iva-wow', THEME_JS .'/wow.js', 'jquery','', 'in_footer');
		wp_register_script('iva-countTo', THEME_JS . '/jquery.countTo.js', 'jquery','1.0','in_footer');
		wp_register_script('iva-weather', THEME_JS . '/jquery.simpleWeather.min.js', 'jquery','1.0','in_footer');
		
		/**
		 * Enqueue Frontend Scripts
		 */
		wp_enqueue_script('jquery');
		wp_enqueue_script('iva-easing');
		wp_enqueue_script('iva-sf-hover');
		wp_enqueue_script('iva-sf-menu');
		wp_enqueue_script('iva-preloader');
		wp_enqueue_script('iva-prettyPhoto');
		wp_enqueue_script('iva-Modernizr');
		wp_enqueue_script('iva-isotope');
		wp_enqueue_script('iva-fitvids');
		wp_enqueue_script('iva-custom');
		wp_enqueue_script('iva-wow');
		wp_enqueue_script('iva-countTo');
		wp_enqueue_script('iva-weather');
		
		
		//AJAX URL
		$data["ajaxurl"] = admin_url("admin-ajax.php");	

		//HOME URL
		$data["home_url"] = get_home_url();
		
		//pass data to javascript
		$params = array(
			'l10n_print_after' => 'iva_panel = ' . json_encode($data) . ';'
		);
		wp_localize_script('jquery', 'iva_panel', $params);		
		wp_localize_script( 'jquery', 'atp_panel', array( 'SiteUrl' => get_template_directory_uri() ) );
		wp_register_style( 'iva-responsive', THEME_CSS . '/responsive.css', array(), '1', 'screen' );
		// Enqueue Frontend Styles
		wp_enqueue_style('iva-theme-style', get_stylesheet_uri(), array(), '3.0.2' );
		wp_enqueue_style( 'iva-shortcodes', THEME_CSS . '/shortcodes.css', array(), '1', 'all' ); 
		wp_enqueue_style('iva-fontawesome', THEME_CSS.'/fontawesome/css/font-awesome.css', false, false, 'all');
		wp_enqueue_style('iva-animate', THEME_CSS.'/animate.css', array(), '1', 'screen' );
		wp_enqueue_style('iva-prettyPhoto', THEME_CSS.'/prettyPhoto.css', array(), '1', 'screen' );
		wp_enqueue_style('iva-responsive' );
		wp_enqueue_style('datepicker', FRAMEWORK_URI.'admin/css/datepicker.css', false, false, 'all');
		if ( is_singular() && get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }

		if ( get_option( 'atp_style' ) != '0' ) {
			$iva_style = get_option( 'atp_style' );
			wp_enqueue_style( 'iva-style', THEME_URI.'/colors/'.$iva_style, array(), '1', 'screen' );
		}
		
		wp_enqueue_style( 'clinichours_font', $iva_protocol.'://fonts.googleapis.com/css?family=Patua+One' );
	}
	add_action( 'wp_enqueue_scripts', 'iva_frontend_scripts' );
}	

/**
 * Register Theme Frontend Carousel Scripts and Styles
 */
if( !function_exists('iva_owlcarousel_enqueue_scripts')){ 
	
	function iva_owlcarousel_enqueue_scripts() {
		wp_register_script( 'iva-owl-carousel', THEME_JS . '/owl.carousel.js', 'jquery', '', 'in_footer');
		wp_enqueue_style( 'iva-owl-style', THEME_CSS . '/owl.carousel.css', array(), '1', 'all' ); 
		wp_enqueue_style( 'iva-owl-theme', THEME_CSS . '/owl.theme.css', array(), '1', 'all' );    
	}
	add_action( 'wp_enqueue_scripts','iva_owlcarousel_enqueue_scripts' );
}
	
/**
 * Flex Slider Enqueue Scripts 
 */
if( !function_exists('iva_flexslider_enqueue_scripts')){  
	function iva_flexslider_enqueue_scripts() {
		wp_enqueue_script('iva-flexslider', THEME_JS .'/jquery.flexslider-min.js', 'jquery', '', 'in_footer' );
		wp_enqueue_style('iva-css-flexslider', THEME_CSS. '/flexslider.css', array(), '1', 'all' );
	}
	add_action( 'wp_enqueue_scripts','iva_flexslider_enqueue_scripts' );
}

/** 
 * Get Options from Theme Options 
 */
$iva_style            = get_option('atp_style');
$readmoretxt          = get_option('atp_readmoretxt')	? get_option('atp_readmoretxt')		: 'Read more';
$breadcrumb_separator = get_option('atp_breadcrumbsep', '')			? get_option('atp_breadcrumbsep') 		: '';
$atp_singlenavigation = get_option('atp_singlenavigation');

/**
 * Layout Options
 */
$layout_option = get_option( 'atp_defaultlayout' );
$pagetitle_align = get_option( 'atp_sub_styling' );

/**
 * Corner Ribbons
 */
require_once( get_template_directory() . '/framework/includes/ribbons_array.php' );

/**
 * Love Script
 */
require_once( get_template_directory() . '/framework/common/theme-love.php' );

/* Importer */
require_once( get_template_directory() . '/framework/admin/iva-importer/iva-importer.php' );
require_once( get_template_directory() . '/framework/admin/ob_import_export.php' );


$default_date = get_option('iva_date_format')?get_option('iva_date_format'):'Y/m/d';

switch( $default_date ){

	case 'Y/m/d':
				$atp_defaultdate = 'yy/mm/dd';
				break;
	case 'm/d/Y':
				$atp_defaultdate = 'mm/dd/yy';
				break;
	case 'd-m-Y':
				$atp_defaultdate = 'dd-mm-yy';
				break;
	default:
				$atp_defaultdate = 'yy/mm/dd';
				break;
}

/**
 * Animate.css - Just-add-water CSS animation
 * A cross-browser library of CSS animations. As easy to use as an easy thing.
 * ref : https://github.com/daneden/animate.css
 */	

$iva_anim = array(
	''				=> 'Select Animation',
	'fadeIn'		=>	'fadeIn',
	'fadeInUp'		=>	'fadeInUp',
	'fadeInDown'	=>	'fadeInDown',
	'fadeInLeft'	=> 	'fadeInLeft',
	'fadeInRight'	=>	'fadeInRight',
	'slideInLeft'	=> 	'slideInLeft',
	'slideInRight'	=>	'slideInRight'
);	

/**
 * Sociable Icons Array
 */
$staff_social = array(
	''			=> 'Select Sociable',
	'blogger'	=> 'Blogger',
	'delicious'	=> 'Delicious',
	'digg'		=> 'Digg',
	'facebook'	=> 'Facebook',
	'flickr'	=> 'Flickr',
	'forrst'	=> 'Forrst',
	'google'	=> 'Goolge',
	'linkedin'	=> 'Linkedin',
	'pinterest'	=> 'Pinterest',
	'skype'		=> 'Skype',
	'stumbleupon' => 'Stumbleupon',
	'twitter'	=> 'Twitter',
	'dribbble'	=> 'Dribbble',
	'yahoo'		=> 'Yahoo',
	'youtube'	=> 'Youtube'
);
ksort($staff_social); // Sort Sociabls by Alphabetical Order

$sociable_icon = array(
	'fa fa-facebook fa-fw fa-lg'	=> 'facebook',
	'fa fa-vimeo fa-fw fa-lg'		=> 'vimeo',
	'fa fa-delicious fa-fw fa-lg'	=> 'delicious',
	'fa fa-digg fa-fw fa-lg'		=> 'digg',
	'fa fa-instagram fa-fw fa-lg'	=> 'instagram',
	'fa fa-foursquare fa-fw fa-lg'	=> 'foursquare',
	'fa fa-flickr fa-fw fa-lg'		=> 'flickr' ,
	'fa fa-google-plus fa-fw fa-lg'	=> 'plus.google',
	'fa fa-google-plus fa-fw fa-lg'	=> 'plus',
	'fa fa-google fa-fw fa-lg'		=> 'google',
	'fa fa-linkedin fa-fw fa-lg'	=> 'linkedin',
	'fa fa-pinterest fa-fw fa-lg'	=> 'pinterest' ,
	'fa fa-skype fa-fw fa-lg'		=> 'skype' ,
	'fa fa-stumbleupon fa-fw fa-lg'	=> 'stumbleupon' ,
	'fa fa-twitter fa-fw fa-lg'		=> 'twitter' ,
	'fa fa-dribbble fa-fw fa-lg'	=> 'dribbble',
	'fa fa-yahoo fa-fw fa-lg'		=> 'yahoo',
	'fa fa-youtube fa-fw fa-lg'		=> 'youtube'
);

/**
 * Theme Class
 */
if ( !class_exists( 'ATP_Theme' ) ) {
	
	class ATP_Theme
	{
		public $theme_name;
		public $meta_box;
		
		public function __construct()
		{
			$this->atp_constant();
			$this->atp_themesupport();
			$this->atp_head();
			$this->atp_themepanel();
			$this->atp_widgets();
			$this->atp_post_types();
			$this->atp_custom_meta();
			$this->atp_meta_generators();
			$this->atp_shortcodes();
			$this->atp_common();
		}
		
		function atp_constant()
		{
			/**
			 * Framework General Variables and directory paths
			 */
			$theme_data;
			
				$theme_data   = wp_get_theme();
				$themeversion = $theme_data->Version;
				$theme_name   = $theme_data->Name;
			
			/**
			 * Set the file path based on whether the Options 
			 * Framework is in a parent theme or child theme
			 * Directory Structure
			 */
			define('FRAMEWORK', '2.0'); //  Theme Framework
			define('THEMENAME', $theme_name);
			define('THEMEVERSION', $themeversion);
			
			define('THEME_URI', get_template_directory_uri());
			define('THEME_DIR', get_template_directory());
			define('THEME_JS', THEME_URI . '/js');
			define('THEME_CSS', THEME_URI . '/css');
			define('FRAMEWORK_DIR', THEME_DIR . '/framework/');
			define('FRAMEWORK_URI', THEME_URI . '/framework/');
			
			define('CUSTOM_META', FRAMEWORK_DIR . '/custom-meta/');
			define('CUSTOM_PLUGINS', FRAMEWORK_DIR . '/custom-plugins/');
			define('CUSTOM_POST', FRAMEWORK_DIR . '/custom-post/');
			
			define('THEME_SHORTCODES', FRAMEWORK_DIR . 'shortcode/');
			define('THEME_WIDGETS', FRAMEWORK_DIR . 'widgets/');
			define('THEME_PLUGINS', FRAMEWORK_DIR . 'plugins/');
			define('THEME_POSTTYPE', FRAMEWORK_DIR . 'custom-post/');
			define('THEME_CUSTOMMETA', FRAMEWORK_DIR . 'custom-meta/');
			
			define('THEME_PATTDIR', THEME_URI . '/images/patterns/');
		}
		
		/** 
		 * Allows a theme to register its support of a certain features
		 */
		function atp_themesupport()
		{
			add_theme_support( 'post-formats', array( 'aside', 'audio', 'link', 'image', 'gallery', 'quote', 'status', 'video' ) );
			add_theme_support( 'automatic-feed-links' );
			add_theme_support( 'editor-style' );
			add_theme_support( 'post-thumbnails' );
			add_theme_support('menus');
			add_theme_support( 'title-tag' );
			
			// Register Wordpress Native Menu
			register_nav_menus( array( 'primary-menu' => 'Primary Menu' ) );
			
			// Define Content Width
			if ( !isset( $content_width ) ) { $content_width = 1170; }
		}
		
		/**
		 * Scripts and Styles Enqueue for Options Framework
		 */
		function atp_head()
		{
			require_once(FRAMEWORK_DIR . 'common/head.php');
		}
		
		/**
		 * Admin Interface 
		 */
		function atp_themepanel()
		{
			require_once(FRAMEWORK_DIR . 'common/atp_googlefont.php');
			require_once(FRAMEWORK_DIR . 'admin/admin-interface.php');
			require_once(FRAMEWORK_DIR . 'admin/theme-options.php');
		}
		
		/** 
		 * Custom Widgets
		 */
		function atp_widgets()
		{
			require_once( THEME_WIDGETS .'/register_widget.php');
			require_once( THEME_WIDGETS .'/contactinfo.php');
			require_once( THEME_WIDGETS .'/flickr.php');
			require_once( THEME_WIDGETS .'/twitter.php');
			require_once( THEME_WIDGETS .'/sociable.php');
			require_once( THEME_WIDGETS .'/popularpost.php');
			require_once( THEME_WIDGETS .'/recentpost.php');
			require_once( THEME_WIDGETS .'/testimonials_submit.php');
		}
		
		/**
		 * Load Custom Post Types Templates
		 * @files slider, testimonials
		 */
		function atp_post_types()
		{
			require_once( THEME_POSTTYPE . '/gallery.php');
			require_once( THEME_POSTTYPE . '/slider.php');
			require_once( THEME_POSTTYPE . '/testimonial.php');
			require_once( THEME_POSTTYPE . '/logosc_type.php');
		}
		
		/** Load Meta Generator Templates
		 * @files Slider, Menus, Testimonial, Page, Posts, Shortcodes Generator
		 */
		function atp_custom_meta()
		{

			require_once(THEME_CUSTOMMETA . '/page-meta.php');
			require_once(THEME_CUSTOMMETA . '/post-meta.php');
			require_once(THEME_CUSTOMMETA . '/slider-meta.php');
			require_once(THEME_CUSTOMMETA . '/testimonial-meta.php');
			require_once(THEME_CUSTOMMETA . '/gallery-meta.php');
			require_once(THEME_CUSTOMMETA . '/logosc_type-meta.php');
		}
		
		function atp_meta_generators() {
			require_once( THEME_CUSTOMMETA . '/meta-generator.php' );
			require_once( THEME_CUSTOMMETA . '/shortcode-meta.php' );
			require_once( THEME_CUSTOMMETA . '/shortcode-generator.php' );
		}
		
		/**
		 * Shortcodes 
		 */
		function atp_shortcodes()
		{
			require_once( THEME_SHORTCODES . '/accordion.php');
			require_once( THEME_SHORTCODES . '/boxes.php');
			require_once( THEME_SHORTCODES . '/blog.php');
			require_once( THEME_SHORTCODES . '/buttons.php');
			require_once( THEME_SHORTCODES . '/contactinfo.php');
			require_once( THEME_SHORTCODES . '/flickr.php');
			require_once( THEME_SHORTCODES . '/general.php');
			require_once( THEME_SHORTCODES . '/feature_box.php');
			require_once( THEME_SHORTCODES . '/image.php');
			require_once( THEME_SHORTCODES . '/layout.php');
			require_once( THEME_SHORTCODES . '/lightbox.php');
			require_once( THEME_SHORTCODES . '/planbox.php');
			require_once( THEME_SHORTCODES . '/messageboxes.php');
			require_once( THEME_SHORTCODES . '/flexslider.php');
			require_once( THEME_SHORTCODES . '/tabs_toggles.php');
			require_once( THEME_SHORTCODES . '/twitter.php');
			require_once( THEME_SHORTCODES . '/gmap.php');
			require_once( THEME_SHORTCODES . '/sociable.php');
			require_once( THEME_SHORTCODES . '/videos.php');
			require_once( THEME_SHORTCODES . '/staff.php');
			require_once( THEME_SHORTCODES . '/progressbar.php');
			require_once( THEME_SHORTCODES . '/services.php');
			require_once( THEME_SHORTCODES . '/blogcarousel.php');
			require_once( THEME_SHORTCODES . '/testimonials.php');
			require_once( THEME_SHORTCODES . '/progresscircle.php');
			require_once( THEME_SHORTCODES . '/sharelink.php');
			require_once( THEME_SHORTCODES . '/logos.php');
			
		}
		
		/** 
		 * Theme Functions
		 * @uses skin generator
		 * @uses twitter class
		 * @uses pagination
		 * @uses sociables
		 * @uses Aqua imageresize // Credits : http://aquagraphite.com/
		 * @uses plugin activation class
		 */
		function atp_common()
		{
			require_once(THEME_DIR . '/css/skin.php');
			require_once(FRAMEWORK_DIR . 'common/class_twitter.php');
			require_once(FRAMEWORK_DIR . 'common/atp_generator.php');
			require_once(FRAMEWORK_DIR . 'common/pagination.php');
			require_once(FRAMEWORK_DIR . 'common/sociables.php');
			require_once(FRAMEWORK_DIR . 'includes/image_resize.php');
			require_once(FRAMEWORK_DIR . 'includes/class-activation.php');
		}
		
		/** 
		 * Custom Switch case for fetching
		 * posts, post-types, custom-taxonomies, tags
		 */
		
		function atp_variable($type)
		{
			$iva_terms = array();
			switch ($type) {
				case 'pages': // Get Page Titles
					$atp_entries = get_pages('sort_column=post_parent,menu_order');
					foreach ($atp_entries as $atpPage) {
						$iva_terms[$atpPage->ID] = $atpPage->post_title;
					}
					break;
				case 'slider': // Get Slider Slug and Name
					$atp_entries = get_terms('slider_cat', 'orderby=name&hide_empty=0');
					foreach ($atp_entries as $atpSlider) {
						$iva_terms[$atpSlider->slug] = $atpSlider->name;
						$slider_ids[]              = $atpSlider->slug;
					}
					break;
				case 'posts': // Get Posts Slug and Name
					$atp_entries = get_categories('hide_empty=0');
					foreach ($atp_entries as $atpPosts) {
						$iva_terms[$atpPosts->slug] = $atpPosts->name;
						$atp_posts_ids[]          = $atpPosts->slug;
					}
					break;
				case 'categories':
					$atp_entries = get_categories('hide_empty=true');
					foreach ($atp_entries as $atp_posts) {
						$iva_terms[$atp_posts->term_id] = $atp_posts->name;
						$atp_posts_ids[]              = $atp_posts->term_id;
					}
					break;

				case 'postlink': // Get Posts Slug and Name
						$atp_entries = get_posts( 'hide_empty=0');
						foreach ( $atp_entries as $atpPosts ) {
							$iva_terms[$atpPosts->ID] = $atpPosts->post_title;
							$atp_posts_ids[] = $atpPosts->slug;
						}
						break;

				case 'testimonial': // Get Testimonial Slug and Name
					$atp_entries = get_terms('testimonial_cat', 'orderby=name&hide_empty=0');
					foreach ($atp_entries as $atpTestimonial) {
						$iva_terms[$atpTestimonial->slug] = $atpTestimonial->name;
						$testimonialvalue_id[]          = $atpTestimonial->slug;
					}
					break;				
					
				case 'tags': // Get Taxonomy Tags
					$atp_entries = get_tags(array(
						'taxonomy' => 'post_tag'
					));
					foreach ($atp_entries as $atpTags) {
						$iva_terms[$atpTags->slug] = $atpTags->name;
					}
					break;
				case 'slider_type': // Slider Arrays for Theme Options
					$iva_terms = array(
						'' 					=> 'Select Slider',
						'flexslider' 		=> 'Flex Slider',
						'videoslider'		=> 'Single Video',
						'static_image' 		=> 'Static Image',
						'customslider'		=> 'Custom Slider'
					);
					break;
				case 'logosc_categories': // Get Events Slug and Name
                    $atp_entries = get_terms('logosc_cat', 'orderby=name&hide_empty=0');
					if(!empty($atp_entries) ){
						foreach ($atp_entries as $atpEvents) {
							$iva_terms[$atpEvents->slug] = $atpEvents->name;
							$eventsvalue_id[]          = $atpEvents->slug;
						}
					}
                    break;	
			}
			
			return $iva_terms;
		}
	}
}

$shortname = 'atp';

/**
 * section to decide whther use child theme or parent theme 
 */
define( 'MED_DIR', get_template_directory() . '/medical/'); 
if(!defined('MEDICAL_DIR')){
	define( 'MEDICAL_DIR', get_template_directory() . '/medical/');
} 
  
if( defined( 'MEDICAL_DIR') ) {
	require_once( MEDICAL_DIR . 'index.php' );
	add_action( 'after_setup_theme', 'atp_theme_setup' );
} else {
	$atp_theme = new ATP_Theme();	
	$url =  FRAMEWORK_URI . 'admin/images/';
	add_action( 'after_setup_theme', 'atp_theme_setup' );
}
if( !function_exists('atp_theme_setup')){ 
	function atp_theme_setup(){
		load_theme_textdomain('lifecare-textdomain', get_template_directory() . '/languages');
		load_theme_textdomain('lifecare-textdomain', get_template_directory() . '/languages');
		
		add_filter('the_content', 'pre_process_shortcode');
		add_filter('widget_text', 'do_shortcode');
		add_filter('posts_where', 'multi_tax_terms');
		add_filter('wp_trim_excerpt', 'new_excerpt_more');
		add_filter('upload_mimes', 'atp_custom_upload_mimes');
		// This theme uses its own gallery styles.
		add_filter( 'use_default_gallery_style', '__return_false' );
	}
}

/**
 * Admin Login Logo
 */
if( !function_exists('atp_custom_login_logo')){  
	function atp_custom_login_logo(){
		if (get_option('atp_admin_logo')) {
			echo '<style type="text/css">.login h1 a { background-image:url(' . get_option('atp_admin_logo') . ') !important; }</style>';
		}
	}
	add_action('login_head', 'atp_custom_login_logo');
}

if( !function_exists('pre_process_shortcode')){ 
	function pre_process_shortcode( $content ) 
	{
		global $shortcode_tags;
		foreach ($shortcode_tags as $key => $value){
			 if( @stristr($value, 'iva_') ) {
				$shortcode[$key]=$key;
			}
		}
		$block = join("|",$shortcode);
		 
		// Opening tag
		$rep = preg_replace("/(<p>)?\[($block)(\s[^\]]+)?\](<\/p>|<br \/>)?/","[$2$3]",$content);
		// Closing tag
		$rep = preg_replace("/(<p>)?\[\/($block)](<\/p>|<br \/>)?/","[/$2]",$rep);
		 
		return $rep;
	}
}
/**
 * Multiple taxonomies
 */
if( !function_exists('multi_tax_terms')){  
	function multi_tax_terms( $where ){
		global $wp_query, $wpdb;
		
		if (isset($wp_query->query_vars['term']) && (strpos($wp_query->query_vars['term'], ',') !== false && strpos($where, "AND 0") !== false)) {
			//Get the terms
			$term_arr = explode(",", $wp_query->query_vars['term']);
			foreach ($term_arr as $term_item) {
				$terms[] = get_terms($wp_query->query_vars['taxonomy'], array(
					'slug' => $term_item
				));
			} //$term_arr as $term_item
			
			//Get the id of posts with that term in that taxonomy
			foreach ($terms as $term) {
				if($term){
					$term_ids[] = $term[0]->term_id;
				}
			} //$terms as $term
			
			$post_ids = get_objects_in_term($term_ids, $wp_query->query_vars['taxonomy']);
			
			if (!is_wp_error($post_ids) && count($post_ids)) {
				// Build the new query
				$new_where = " AND $wpdb->posts.ID IN (" . implode(', ', $post_ids) . ") ";
				$where     = str_replace("AND 0", $new_where, $where);
			} else {
			}
		} //$wp_query
		return $where;
	}
}
/**
 * Excerpt removes ... 
 */
if( !function_exists('new_excerpt_more')){  
	function new_excerpt_more( $excerpt ){
		return str_replace('[...]', '...', $excerpt);
	}
}
/**
 *  Custom Upload file extension
 */
if( !function_exists('atp_custom_upload_mimes')){  
	function atp_custom_upload_mimes( $existing_mimes ){
		// add the file extension to the array
		$existing_mimes['eot']  = 'font/eot';
		$existing_mimes['ttf']  = 'font/ttf';
		$existing_mimes['woff'] = 'font/woff';
		$existing_mimes['svg']  = 'font/svg';
		
		return $existing_mimes;
	}
}
if ( ! function_exists( 'get_attachment_id_from_src' ) ) {
	 function get_attachment_id_from_src ($image_src) {

		global $wpdb;
		$query = "SELECT ID FROM {$wpdb->posts} WHERE guid='$image_src'";
		$id = $wpdb->get_var($query);
		return $id;

	}
}


/**
 * Limit Post Title by amount of characters
 */
if( !function_exists('short_title')){ 
	function short_title() {
		$producttitle = get_the_title();
		$title 	= html_entity_decode($producttitle, ENT_QUOTES, "UTF-8"); 
		$limit 	= "20";
		$pad 	= "...";

		if(strlen( $title ) >= ( $limit+3 )) { $title = mb_substr( $title, 0, $limit ) . $pad; }
		echo $title;
	}
}
/**
 * Gallery Image lightbox
 */
if( !function_exists('gallery_add_rel_attribute')){  
	function gallery_add_rel_attribute($link) {
		global $post;
		return str_replace('<a href', '<a data-rel="prettyPhoto[pp_gal]" href', $link);
	}
	add_filter('wp_get_attachment_link', 'gallery_add_rel_attribute');
}
/** 
 * Gallery Image size replacement
 */
if( !function_exists('add_image_size')){  
	if ( function_exists( 'add_image_size' ) ) { 
		add_image_size( 'category-thumb', 300 ); //300 pixels wide (and unlimited height)
		add_image_size( 'homepage-thumb', 80, 80, true ); //(cropped)
	}
}
// Add  Body classes filter
if( !function_exists('vertical_menu_body_classes')){
function vertical_menu_body_classes( $classes ) {
	
	global $post;
	// Gets front page id
	
	$headerstyle = get_option('atp_headerstyle','default');

	if( $headerstyle == 'verticalleftmenu'){
	
		if( is_tag() || is_search() || is_404() || is_home()) { 
			$frontpageid = '';
		}else{
			if ( class_exists('woocommerce') ) {
				if( is_shop() ){	
					$frontpageid = get_option ('woocommerce_shop_page_id');
				}elseif( is_cart( get_option('woocommerce_cart_page_id') ) ){
					$frontpageid = get_option ('woocommerce_cart_page_id');
				}else{
					$frontpageid = $post->ID;
				}
			}else{
				$frontpageid = $post->ID;
			} 
		}
	
	
		$classes[]=atp_generator( 'sidebaroption', $frontpageid );
		$classes[]= (get_option( 'atp_layoutoption' )) ? get_option( 'atp_layoutoption' ) : 'stretched';
		$classes[]='vertical_leftmenu';
		
		return $classes;
	
	}else { 	
	
	return $classes; 
	
	}
 }
add_filter( 'body_class', 'vertical_menu_body_classes' );
}

// Woocommerce Config File
if ( class_exists('woocommerce') ) {
	require_once( 'woocommerce/config.php' );
}
remove_filter( 'authenticate', 'wp_authenticate_email_password', 20 );

// Display 24 products per page. Goes in functions.php
add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 24;' ), 20 );
/**
 * Change number or products per row to 4
 */
add_filter('loop_shop_columns', 'loop_columns', 999);
if (!function_exists('loop_columns')) {
	function loop_columns() {
		return 4; // 4 products per row
	}
}